> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tools

> Lists the team's tools, optionally filtered by a search term.



## OpenAPI

````yaml /openapi.yaml get /v1/tools
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/tools:
    get:
      tags:
        - Tools
      summary: List Tools
      description: Lists the team's tools, optionally filtered by a search term.
      parameters:
        - name: search
          in: query
          required: false
          description: Filter tools by name or description.
          schema:
            type: string
      responses:
        '200':
          description: Tools retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  tools:
                    type: array
                    items:
                      $ref: '#/components/schemas/ToolListItem'
        '500':
          description: Failed to list tools.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlatErrorResponse'
      security:
        - api_key_header: []
components:
  schemas:
    ToolListItem:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        application_id:
          type: string
          nullable: true
        input_schema:
          type: array
          items:
            $ref: '#/components/schemas/TaskParameter'
        output_schema:
          type: array
          items:
            $ref: '#/components/schemas/TaskParameter'
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    FlatErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Human-readable error message.
        code:
          type: integer
          description: HTTP status code.
      required:
        - error
    TaskParameter:
      type: object
      description: >-
        A task/tool input or output parameter definition (name, type,
        description, etc.).
      additionalProperties: true
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: anchor-api-key
      description: API key passed in the header

````